#ifndef __ardour_gtk_region_selection_h__
#define __ardour_gtk_region_selection_h__

#include <list>
#include <sigc++/signal_system.h>
#include <ardour/types.h>

class RegionView;

class RegionSelection : public list<RegionView*>, public SigC::Object
{
  public:
        RegionSelection();
	RegionSelection (const RegionSelection&);

	RegionSelection& operator= (const RegionSelection&);

	void add (RegionView*, bool dosort = true);
	bool remove (RegionView*);
	
	jack_nframes_t start () const {
		return _current_start;
	}

	/* collides with list<>::end */

	jack_nframes_t end_frame () const { 
		return _current_end;
	}
	
  private:
	void remove_it (TimeAxisViewItem*);
	jack_nframes_t _current_start;
	jack_nframes_t _current_end;
};

#endif /* __ardour_gtk_region_selection_h__ */
