#include <string.h>
#include <pbd/basename.h>

char *
basename (const char *path)

{
	char *slash;

	if ((slash = strrchr (path, '/')) == 0) {
		return strdup (path);
	}
	
	if (*(slash+1) == '\0') {
		return strdup ("");
	}
	
	return strdup (slash+1);
}

std::string 
basename (const std::string str)
{
	std::string::size_type slash = str.find_last_of ('/');
	
	if (slash == std::string::npos) {
		return str;
	}
	return str.substr (slash+1);

}
